// Copyright (C) 2010 - Allan CORNET
// Copyright (C) 2018 - Samuel GOUGEON

mode(-1);
lines(0);

TOOLBOX_NAME  = "scetoexe";
TOOLBOX_TITLE = ".sce => .exe";
toolbox_dir   = get_absolute_file_path("builder.sce");

// Check Scilab's version
// ===================================================================
try
    v = getversion("scilab");
catch
    error(gettext("Scilab 5.3 or more is required."));
end

if v(1)<6 & v(2) < 3 then
    error(gettext('Scilab 5.3 or more is required.'));
end

// Check modules_manager module availability
// =============================================================================
if ~isdef('tbx_build_loader') then
  error(msprintf(gettext("%s module not installed."), 'modules_manager'));
end

// Action
// ===================================================================
tbx_builder_macros(toolbox_dir);
tbx_builder_help(toolbox_dir);
if v(1)>5 then
    tbx_build_loader(toolbox_dir);
    tbx_build_cleaner(toolbox_dir);
else
    tbx_build_loader(TOOLBOX_NAME, toolbox_dir);
    tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir);
end

// Clean variables
// ===================================================================
clear v toolbox_dir TOOLBOX_NAME TOOLBOX_TITLE
